%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: koffice
URL: http://www.kde.org
Summary: Set of office applications for KDE
Version: 1.93
Release: 2
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{version}.tar.bz2
Group: User Interface/Desktops
Obsoletes: killustrator
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: kdesupport2, kdelibs2
Prefix: /usr/lib/kde2
ExcludeArch: ia64

%description
Office applications for the K Desktop Environment 2.0.
KOffice contains KWord (word processor), KSpread (spreadsheet), KPresenter
(Presentations) and KChart (diagram generator).

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

make -f Makefile.cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export KDEDIR=%{prefix}
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG -fno-check-new" \
	./configure  \
	--prefix=%{prefix}

make -j $CPUS

%install
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install-strip
rm -f $RPM_BUILD_ROOT/usr/lib/kde2/share/icons/locolor/16x16/actions/bottom.png
rm -f $RPM_BUILD_ROOT/usr/lib/kde2/share/icons/locolor/16x16/actions/rotate.png
rm -f $RPM_BUILD_ROOT/usr/lib/kde2/share/icons/locolor/16x16/actions/top.png
rm -f $RPM_BUILD_ROOT/usr/lib/kde2/share/icons/locolor/16x16/actions/wizard.png

{
	pushd $RPM_BUILD_ROOT
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{name}

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{name}

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{name}
	popd
}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/files.list.%{name}

%files -f ../file.list.%{name} 

%changelog
* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- kill dupes from kdelibs

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update (fixed compilation with gcc 2.96 in CVS)
- work around compiler bugs on alpha

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move to /usr/lib/kde2

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Sun Jul 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't hardcode Qt version
- obsolete killustrator (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
